Activate object type
curl --request POST \
--url https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activateimport requests
url = "https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRM Data Model
Activate object type
Activates the object type, making it available across HubSpot. If the object type is already activated, this operation does nothing.
POST
/
crm
/
object-library
/
2027-03-beta
/
{objectTypeId}
/
activate
Activate object type
curl --request POST \
--url https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activateimport requests
url = "https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/object-library/2027-03-beta/{objectTypeId}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Path Parameters
Object type ID of the object type to activate.
Response
successful operation
The response is of type object.
Last modified on October 30, 2026
Was this page helpful?